class CommentTypeListBuilder
Same name and namespace in other branches
- 11.x core/modules/comment/src/CommentTypeListBuilder.php \Drupal\comment\CommentTypeListBuilder
- 9 core/modules/comment/src/CommentTypeListBuilder.php \Drupal\comment\CommentTypeListBuilder
- 8.9.x core/modules/comment/src/CommentTypeListBuilder.php \Drupal\comment\CommentTypeListBuilder
Defines a class to build a listing of comment type entities.
Hierarchy
- class \Drupal\Core\Entity\EntityHandlerBase uses \Drupal\Core\StringTranslation\StringTranslationTrait, \Drupal\Core\DependencyInjection\DependencySerializationTrait
- class \Drupal\Core\Entity\EntityListBuilder implements \Drupal\Core\Entity\EntityListBuilderInterface, \Drupal\Core\Entity\EntityHandlerInterface uses \Drupal\Core\Messenger\MessengerTrait, \Drupal\Core\Routing\RedirectDestinationTrait extends \Drupal\Core\Entity\EntityHandlerBase
- class \Drupal\Core\Config\Entity\ConfigEntityListBuilder extends \Drupal\Core\Entity\EntityListBuilder
- class \Drupal\comment\CommentTypeListBuilder extends \Drupal\Core\Config\Entity\ConfigEntityListBuilder
- class \Drupal\Core\Config\Entity\ConfigEntityListBuilder extends \Drupal\Core\Entity\EntityListBuilder
- class \Drupal\Core\Entity\EntityListBuilder implements \Drupal\Core\Entity\EntityListBuilderInterface, \Drupal\Core\Entity\EntityHandlerInterface uses \Drupal\Core\Messenger\MessengerTrait, \Drupal\Core\Routing\RedirectDestinationTrait extends \Drupal\Core\Entity\EntityHandlerBase
Expanded class hierarchy of CommentTypeListBuilder
See also
\Drupal\comment\Entity\CommentType
File
-
core/
modules/ comment/ src/ CommentTypeListBuilder.php, line 17
Namespace
Drupal\commentView source
class CommentTypeListBuilder extends ConfigEntityListBuilder {
/**
* Constructs a new CommentTypeListBuilder object.
*
* @param \Drupal\Core\Entity\EntityTypeInterface $entity_type
* The entity type definition.
* @param \Drupal\Core\Entity\EntityStorageInterface $storage
* The entity storage class.
* @param \Drupal\Core\Entity\EntityTypeManagerInterface $entityTypeManager
* The entity type manager.
*/
public function __construct(EntityTypeInterface $entity_type, EntityStorageInterface $storage, protected EntityTypeManagerInterface $entityTypeManager) {
parent::__construct($entity_type, $storage);
}
/**
* {@inheritdoc}
*/
public static function createInstance(ContainerInterface $container, EntityTypeInterface $entity_type) {
return new static($entity_type, $container->get('entity_type.manager')
->getStorage($entity_type->id()), $container->get('entity_type.manager'));
}
/**
* {@inheritdoc}
*/
public function getDefaultOperations(EntityInterface $entity) {
$operations = parent::getDefaultOperations($entity);
// Place the edit operation after the operations added by field_ui.module
// which have the weights 15, 20, 25.
if (isset($operations['edit'])) {
$operations['edit']['weight'] = 30;
}
return $operations;
}
/**
* {@inheritdoc}
*/
public function buildHeader() {
$header['type'] = t('Comment type');
$header['description'] = t('Description');
$header['target'] = t('Target entity type');
return $header + parent::buildHeader();
}
/**
* {@inheritdoc}
*/
public function buildRow(EntityInterface $entity) {
assert($entity instanceof CommentTypeInterface);
$entity_type = $this->entityTypeManager
->getDefinition($entity->getTargetEntityTypeId());
$row['type'] = $entity->label();
$row['description']['data'] = [
'#markup' => $entity->getDescription(),
];
$row['target'] = $entity_type->getLabel();
return $row + parent::buildRow($entity);
}
}
Members
| Title Sort descending | Modifiers | Object type | Summary | Overriden Title | Overrides |
|---|---|---|---|---|---|
| CommentTypeListBuilder::buildHeader | public | function | Builds the header row for the entity listing. | Overrides EntityListBuilder::buildHeader | |
| CommentTypeListBuilder::buildRow | public | function | Builds a row for an entity in the entity listing. | Overrides EntityListBuilder::buildRow | |
| CommentTypeListBuilder::createInstance | public static | function | Instantiates a new instance of this entity handler. | Overrides EntityListBuilder::createInstance | |
| CommentTypeListBuilder::getDefaultOperations | public | function | Gets this list's default operations. | Overrides ConfigEntityListBuilder::getDefaultOperations | |
| CommentTypeListBuilder::__construct | public | function | Constructs a new CommentTypeListBuilder object. | Overrides EntityListBuilder::__construct | |
| ConfigEntityListBuilder::$storage | protected | property | The config entity storage class. | Overrides EntityListBuilder::$storage | |
| ConfigEntityListBuilder::getStorage | public | function | Gets the config entity storage. | Overrides EntityListBuilder::getStorage | |
| ConfigEntityListBuilder::load | public | function | Loads entities of this type from storage for listing. | Overrides EntityListBuilder::load | 7 |
| DependencySerializationTrait::$_entityStorages | protected | property | An array of entity type IDs keyed by the property name of their storages. | ||
| DependencySerializationTrait::$_serviceIds | protected | property | An array of service IDs keyed by property name used for serialization. | ||
| DependencySerializationTrait::__sleep | public | function | 2 | ||
| DependencySerializationTrait::__wakeup | public | function | #[\ReturnTypeWillChange] | 2 | |
| EntityHandlerBase::$moduleHandler | protected | property | The module handler to invoke hooks on. | 5 | |
| EntityHandlerBase::moduleHandler | protected | function | Gets the module handler. | 5 | |
| EntityHandlerBase::setModuleHandler | public | function | Sets the module handler for this handler. | ||
| EntityListBuilder::$entityType | protected | property | Information about the entity type. | ||
| EntityListBuilder::$entityTypeId | protected | property | The entity type ID. | ||
| EntityListBuilder::$limit | protected | property | The number of entities to list per page, or FALSE to list all entities. | ||
| EntityListBuilder::buildOperations | public | function | Builds a renderable list of operation links for the entity. | 2 | |
| EntityListBuilder::ensureDestination | protected | function | Ensures that a destination is present on the given URL. | 1 | |
| EntityListBuilder::getEntityIds | protected | function | Loads entity IDs using a pager sorted by the entity id. | 5 | |
| EntityListBuilder::getEntityListQuery | protected | function | Returns a query object for loading entity IDs from the storage. | ||
| EntityListBuilder::getOperations | public | function | Provides an array of information to build a list of operation links. | Overrides EntityListBuilderInterface::getOperations | 3 |
| EntityListBuilder::getTitle | protected | function | Gets the title of the page. | 1 | |
| EntityListBuilder::render | public | function | Builds the entity listing as renderable array for table.html.twig. | Overrides EntityListBuilderInterface::render | 17 |
| MessengerTrait::$messenger | protected | property | The messenger. | 25 | |
| MessengerTrait::messenger | public | function | Gets the messenger. | 25 | |
| MessengerTrait::setMessenger | public | function | Sets the messenger. | ||
| RedirectDestinationTrait::$redirectDestination | protected | property | The redirect destination service. | 2 | |
| RedirectDestinationTrait::getDestinationArray | protected | function | Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url. | ||
| RedirectDestinationTrait::getRedirectDestination | protected | function | Returns the redirect destination service. | ||
| RedirectDestinationTrait::setRedirectDestination | public | function | Sets the redirect destination service. | ||
| StringTranslationTrait::$stringTranslation | protected | property | The string translation service. | 3 | |
| StringTranslationTrait::formatPlural | protected | function | Formats a string containing a count of items. | ||
| StringTranslationTrait::getNumberOfPlurals | protected | function | Returns the number of plurals supported by a given language. | ||
| StringTranslationTrait::getStringTranslation | protected | function | Gets the string translation service. | ||
| StringTranslationTrait::setStringTranslation | public | function | Sets the string translation service to use. | 2 | |
| StringTranslationTrait::t | protected | function | Translates a string to the current language or to a given language. |
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.